# Columbia make file fragment for RTP based audio mixer.
# Copyright 2000 by Columbia University; all rights reserved 

libmixer_dir := libmixer

LIBMIXER_SRC := \
  $(libmixer_dir)/rtpmapi.c \
  $(libmixer_dir)/buffer.c \
  $(libmixer_dir)/sched.c \
  $(libmixer_dir)/sdp.c \
  $(libmixer_dir)/sndfile.c \
  $(libmixer_dir)/sendrecv.c \
  $(libmixer_dir)/list.c \
  $(libmixer_dir)/transcode.c \
  $(libmixer_dir)/video.c \
  $(libmixer_dir)/data.c \
  $(libmixer_dir)/g711.c \
  $(libmixer_dir)/g721.c \
  $(libmixer_dir)/g72x.c \
  $(libmixer_dir)/dvi_adpcm.c \
  $(libmixer_dir)/pcmu_l16.c \
  $(libmixer_dir)/pcmu_l14.c

LIBMIXER_MAYBESRC := 

LIBMIXER_HEADERS := \
  $(libmixer_dir)/rtpmapi.h \
  $(libmixer_dir)/buffer.h \
  $(libmixer_dir)/sched.h \
  $(libmixer_dir)/sdp.h \
  $(libmixer_dir)/sndfile.h \
  $(libmixer_dir)/sendrecv.h \
  $(libmixer_dir)/list.h \
  $(libmixer_dir)/transcode.h \
  $(libmixer_dir)/video.h \
  $(libmixer_dir)/data.h \
  $(libmixer_dir)/g711.h \
  $(libmixer_dir)/g72x.h \
  $(libmixer_dir)/dvi_adpcm.h \
  $(libmixer_dir)/pcmu_l.h \
  $(libmixer_dir)/audio_descr.h \
  $(libmixer_dir)/stdtypes.h 

LIBMIXER_MISC := \
  $(libmixer_dir)/module.mk \
  $(libmixer_dir)/libmixer.dsp

LIBMIXER_MISCCLEAN := \
  $(libmixer_dir)/libmixer.a

LIBMIXER_OBJ := \
	$(patsubst %.c,%.o,$(filter %.c,$(LIBMIXER_SRC)))

LIBMIXER_DEP := \
	$(LIBMIXER_OBJ:.o=.d)


# How other parts of the build find us:
# Target for make:
LIBMIXER := $(libmixer_dir)/libmixer.a

# Incantations for compile and build:
LIBMIXER_INC := -I$(topsrcdir)/libmixer $(LIBRTP_INC) $(LIBGSM_INC)
LIBMIXER_LIB := -L$(libmixer_dir) -lmixer $(LIBRTP_LIB) $(LIBGSM_LIB) -lm 

# Include directories required locally.
$(libmixer_dir)-CFLAGS := $(LIBRTP_INC) $(LIBCINE_INC) $(LIBSIP_INC) \
                          $(DBAPI_INC) $(LIBDICT_INC) $(LIBGSM_INC)

libmixer: $(LIBMIXER) $(LIBMIXER_REQS)

$(LIBMIXER): $(LIBMIXER_OBJ) $(LIBMIXER_DEP) $(LIBRTP) $(LIBGSM) 
	@echo "creating library $@..."
	$(AR) rc $@ $(LIBMIXER_OBJ)
	$(RANLIB) $@

SRC       += $(LIBMIXER_SRC) $(LIBMIXER_OTHER_SRC)
HEADERS   += $(LIBMIXER_HEADERS)
MISCCLEAN += $(LIBMIXER_MISCCLEAN)

LIBMIXER_MODULES := test

# Include the description for each sub-module
include $(patsubst %,$(topsrcdir)/$(libmixer_dir)/%/module.mk,$(LIBMIXER_MODULES))

# Files for distributions:
LIBMIXER_DIST := $(LIBMIXER_SRC) $(LIBMIXER_MAYBESRC) $(LIBMIXER_HEADERS) \
	$(LIBMIXER_MISC) $(MIXER_TEST_DIST)

LIBMIXER_BINDIST := $(LIBMIXER_TEST_BINDIST)

